import { createApp } from 'vue';
import App from './App.vue';
import './registerServiceWorker';
import store from './store/index';
// import i18n from './language/i18n'; //国际化
import Antd from 'ant-design-vue'; //ant-design-vue完整引入，基本功能开发完成之后，需要考虑按需引入
import 'ant-design-vue/dist/antd.css';
import * as Icons from '@ant-design/icons-vue'; //因为无法预见用户在配置文件中会使用哪些组件，因此在基座中，将系统所有的图标都先引用进来
import { setupI18n } from '../packages/locales';
import Axios from 'axios';
import longtecUI from '../packages/';
const app = createApp(App);

const icons: any = Icons;
for (const i in icons) {
  app.component(i, icons[i]);
}
setupI18n(app);

app.use(store).use(Antd).use(longtecUI).mount('#app');
app.config.globalProperties.Reflect = Reflect; //代理全局Reflect
app.config.globalProperties.$axios = Axios; //代理全局数据请求
